AbstractHttpConnection (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.client

## Class AbstractHttpConnection

- java.lang.Object
- - org.eclipse.jetty.io.AbstractConnection
  - - org.eclipse.jetty.client.AbstractHttpConnection

- All Implemented Interfaces:
    Connection, Dumpable
  Direct Known Subclasses:
    AsyncHttpConnection, BlockingHttpConnection

      public abstract class AbstractHttpConnection
      extends AbstractConnection
      implements Dumpable

  Version:
    $Revision: 879 $ $Date: 2009-09-11 16:13:28 +0200 (Fri, 11 Sep 2009) $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Buffer` | `_connectionHeader`
    `protected HttpDestination` | `_destination`
    `protected HttpExchange` | `_exchange`
    `protected HttpGenerator` | `_generator`
    `protected boolean` | `_http11`
    `protected HttpParser` | `_parser`
    `protected HttpExchange` | `_pipeline`
    `protected boolean` | `_reserved`
    `protected int` | `_status`

    - ### Fields inherited from class org.eclipse.jetty.io.AbstractConnection

      `_endp`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancelIdleTimeout()`
    `void` | `close()`
    `protected void` | `commitRequest()`
    `String` | `dump()`
    `void` | `dump(Appendable out, String indent)`
    `protected void` | `exchangeExpired(HttpExchange exchange)`
    `HttpDestination` | `getDestination()`
    `abstract Connection` | `handle()` Handle the connection.
    `boolean` | `isIdle()`
    `boolean` | `isReserved()`
    `boolean` | `isSuspended()` The semantic of this method is to return true to indicate interest in further reads, or false otherwise, but it is misnamed and should be really called `isReadInterested()`.
    `void` | `onClose()` Called after the connection is closed
    `protected void` | `reset()`
    `boolean` | `send(HttpExchange ex)`
    `void` | `setDestination(HttpDestination destination)`
    `void` | `setIdleTimeout()`
    `void` | `setReserved(boolean reserved)`
    `String` | `toDetailString()`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.jetty.io.AbstractConnection

      `getEndPoint, getTimeStamp, onIdleExpired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _destination

          protected HttpDestination _destination

    - #### _generator

          protected HttpGenerator _generator

    - #### _parser

          protected HttpParser _parser

    - #### _http11

          protected boolean _http11

    - #### _status

          protected int _status

    - #### _connectionHeader

          protected Buffer _connectionHeader

    - #### _reserved

          protected boolean _reserved

    - #### _exchange

          protected volatile HttpExchange _exchange

    - #### _pipeline

          protected HttpExchange _pipeline

  - ### Method Detail

    - #### setReserved

          public void setReserved(boolean reserved)

    - #### isReserved

          public boolean isReserved()

    - #### getDestination

          public HttpDestination getDestination()

    - #### setDestination

          public void setDestination(HttpDestination destination)

    - #### send

          public boolean send(HttpExchange ex)
                       throws IOException

      Throws:
        `IOException`

    - #### handle

          public abstract Connection handle()
                                     throws IOException

      Description copied from interface: `Connection`
      Handle the connection.
      Specified by:
        `handle` in interface `Connection`
      Returns:
        The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
      Throws:
        `IOException` - if the handling of I/O operations fail

    - #### isIdle

          public boolean isIdle()

      Specified by:
        `isIdle` in interface `Connection`
      Returns:
        whether this connection is idle, that is not parsing and not generating
      See Also:
        `Connection.onIdleExpired(long)`

    - #### isSuspended

          public boolean isSuspended()

      Description copied from interface: `Connection`

      The semantic of this method is to return true to indicate interest in further reads, or false otherwise, but it is misnamed and should be really called `isReadInterested()`.

      Specified by:
        `isSuspended` in interface `Connection`
      Returns:
        true to indicate interest in further reads, false otherwise

    - #### onClose

          public void onClose()

      Description copied from interface: `Connection`
      Called after the connection is closed
      Specified by:
        `onClose` in interface `Connection`

    - #### commitRequest

          protected void commitRequest()
                                throws IOException

      Throws:
        `IOException`

    - #### reset

          protected void reset()
                        throws IOException

      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConnection`

    - #### toDetailString

          public String toDetailString()

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

    - #### setIdleTimeout

          public void setIdleTimeout()

    - #### cancelIdleTimeout

          public boolean cancelIdleTimeout()

    - #### exchangeExpired

          protected void exchangeExpired(HttpExchange exchange)

    - #### dump

          public String dump()

      Specified by:
        `dump` in interface `Dumpable`
      See Also:
        `Dumpable.dump()`

    - #### dump

          public void dump(Appendable out,
                  String indent)
                    throws IOException

      Specified by:
        `dump` in interface `Dumpable`
      Throws:
        `IOException`
      See Also:
        `Dumpable.dump(java.lang.Appendable, java.lang.String)`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.